function iWecTypeReturned = getWecType(file)
% getWecType 
%   getWecType returns the type of wec

%   Project: IMPACT
%   Title of Code: getWecType
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors.

iWecTypeReturned = -1;

if exist(file,'file')
    readFile(file);
else
    return;
end

if exist('iWecType','var') 
    if isnumeric(iWecType) && isint(iWecType) && iWecType>=1 && iWecType<=4
        iWecTypeReturned = iWecType;
    end
end
    
